# This script is not intended to be executed directly.  It is sourced by test-runner.sh and most functions you see here are defined in test-tools.sh
# The variables EXENAME, EXEBASE, OKDIR, and EXEDIR are defined externally.

beginTestBlock  # Begin a group of tests.
runMake -r @EXE dynalign # run `make` for the main exe and any other listed programs

PREFIX=DynalignDotPlot_prep
SAVEFILE=$PREFIX.dsv
CONF=$PREFIX.conf
MINIMUM="-40"
MAXIMUM="-20"

echo \
"inseq1 = testFiles/testFile_RD0260.seq
inseq2 = testFiles/testFile_RD0500.seq
outct = $PREFIX-1.ct
outct2 = $PREFIX-2.ct
aout = $PREFIX.ali
savefile = $SAVEFILE"\
 > "$CONF"

status "Running dynalign to produce the save-file for $EXE..."
runCmd -r dynalign "$CONF"  # run dynalign to prepare the input save-file.

########### PS TESTS ###############
EXT=.ps  # set extension for @OKFILE and @OUTFILE placeholders (defaults for runDiff)

# Test DynalignDotPlot_ps_without_options.
runFullTest 'ps_without_options'  $SAVEFILE @OUT.ps

# Test DynalignDotPlot_ps_entries_option.
runFullTest 'ps_entries_option'  $SAVEFILE @OUT.ps -e 3

# Test DynalignDotPlot_ps_maximum_option.
runFullTest 'ps_maximum_option'  $SAVEFILE @OUT.ps -max $MAXIMUM

# Test DynalignDotPlot_ps_minimum_option.
runFullTest 'ps_minimum_option'  $SAVEFILE @OUT.ps -min $MINIMUM

# Test DynalignDotPlot_ps_sequence2_option.
runFullTest 'ps_sequence2_option'  $SAVEFILE @OUT.ps --sequence2


########### SVG TESTS ###############
EXT=.svg  # set extension for @OKFILE and @OUTFILE placeholders (defaults for runDiff)

# Test DynalignDotPlot_svg_without_options.
runFullTest 'svg_without_options'  $SAVEFILE @OUT.svg --svg

# Test DynalignDotPlot_svg_entries_option.
runFullTest 'svg_entries_option'  $SAVEFILE @OUT.svg -e 3 --svg

# Test DynalignDotPlot_svg_maximum_option.
runFullTest 'svg_maximum_option'  $SAVEFILE @OUT.svg -max $MAXIMUM --svg

# Test DynalignDotPlot_svg_minimum_option.
runFullTest 'svg_minimum_option'  $SAVEFILE @OUT.svg -min $MINIMUM --svg

# Test DynalignDotPlot_svg_sequence2_option.
runFullTest 'svg_sequence2_option'  $SAVEFILE @OUT.svg --sequence2 --svg

########### TXT TESTS ###############
EXT=.txt  # set extension for @OKFILE and @OUTFILE placeholders (defaults for runDiff)

# Test DynalignDotPlot_text_option.
runFullTest 'text_option'  $SAVEFILE @OUT.txt --text

rm -f $PREFIX*  # DynalignDotPlot_prep*

endTestBlock # End a group of tests. Also cleans up orphaned files etc.
